<template>
  <div class="user-profile-table-add-on">
    <component v-for="row in rows" :key="row.name" :is="row" :user="user" />
  </div>
</template>

<script>
import { computed } from 'vue'
import { useUserAddOn } from '../plugins/user-add-on-plugin.js'

export default {
  name: 'UserProfileTableAddOn',
  props: {
    user: { type: Object, required: true },
  },
  setup() {
    const userAddOn = useUserAddOn()

    const rows = computed(() => {
      return userAddOn.profileTableRows
    })

    return {
      rows,
    }
  },
}
</script>

<style lang="scss">
@use '../../core/sass/vars';

.user-profile-table-add-on {
  display: flex;
  flex-direction: column;
  gap: vars.$spacing;
}
</style>
